Package org.eclipse.emf.compare.internal.merge

# Enum Class MergeOperation

java.lang.Object
java.lang.Enum<MergeOperation>
org.eclipse.emf.compare.internal.merge.MergeOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<MergeOperation>`, `java.lang.constant.Constable`

public enum MergeOperation extends Enum<MergeOperation>
Enumeration of all possible merge operations on differences.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MARK_AS_MERGE`
Only mark the diff as merged without copying anything.
`MERGE`
Do a regular merge with copy.

## Method Summary

Modifier and Type
Method
Description
`static MergeOperation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MergeOperation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MARK_AS_MERGE

public static final MergeOperation MARK_AS_MERGE
Only mark the diff as merged without copying anything.

### MERGE

public static final MergeOperation MERGE
Do a regular merge with copy.

## Method Details

### values

public static MergeOperation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MergeOperation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null